<!-- comment.php -->

<!-- コメント表示設定 -->
<?php //投稿がパスワード制限つきだった場合や、エラーの場合に表示させるもの
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		exit('このページにはアクセスできません。');
	if (!empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) : ?>
		<p>この投稿はパスワードで保護されています。コメントを閲覧するにはパスワードを入力してください。</p>

<?php else : ?>
<?php //コメントの数によって表示内容をコントロール
	if ($comments) : ?>
<h3 id="comments"><?php comments_number('コメント / トラックバックはありません', 'コメント / トラックバック 1 件', 'コメント / トラックバック % 件' );?></h3>

<!-- 個別コメントのループ　-->
<?php foreach ($comments as $comment) : ?>
<div id="comment-<?php comment_ID() ?>" <?php comment_class(); ?>>
<span class="commentmeta"><?php echo get_avatar($comment, 32); ?>：<?php comment_author_link() ?>｜<?php if ($comment->comment_approved == '0') : ?>コメントは管理者の承認待ちです。<?php endif; ?>
<a href="#comment-<?php comment_ID() ?>" title=""><time datetime="<?php the_time('Y年n月j日(D)'); ?>"><?php the_time('Y年n月j日(D)'); ?></time> </a> <?php edit_comment_link('編集','&nbsp;&nbsp;',''); ?></span>
<?php comment_text() ?>
</div>
<?php endforeach; ?>
<!-- /個別コメントのループ　-->

<?php else : ?>
<?php //コメント不許可の場合
	if ('open' != $post->comment_status) : ?>
            <p></p>
        <?php endif; ?>
<?php endif; ?>
<!-- /コメント表示設定 -->
    
<!-- コメント入力フォーム -->
<div id="commentF">  
<?php if ('open' == $post->comment_status) : ?>
<h3><span>コメントをどうぞ</span></h3>
    
<?php //コメントをログインユーザーのみ許可している場合
	if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>コメントを投稿するには<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">ログイン</a>してください。</p>
    
<?php else : ?>
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
     
<!-- ログインしている場合のみ表示 -->
<?php if ( $user_ID ) : ?>
<p><a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> としてログインしています。 <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">ログアウトはこちら &raquo;</a></p>
<!-- /ログインしている場合のみ表示 -->    
        
<?php else : ?>
<!-- ログインしていない場合のみ表示 -->
<dl class="commentform">
<dt><label for="author">お名前 （必須）</label></dt>
<dd><input id="author" name="author" type="text" value="<?php echo $comment_author; ?>" tabindex="1" /></dd>
<dt>メールアドレス （必須・公開されません）</dt>
<dd><input id="email" name="email" type="text" value="<?php echo $comment_author_email; ?>" tabindex="2" /></dd>
<dt><label for="url">あなたのWebサイトやブログ等</label></dt>
<dd><input id="url" name="url" type="text" value="<?php echo $comment_author_url; ?>" tabindex="3" /></dd>
</dl>
<!-- /ログインしていない場合のみ表示 -->
<?php endif; ?>
        
<dl class="commentform">
<dt>コメント本文</dt>
<dd><textarea id="comment" name="comment" rows="10" tabindex="4"></textarea></dd>
</dl>
<input name="submit" type="submit" id="submit" tabindex="5" value="コメントを送信" class="submitbtn" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
<?php do_action('comment_form', $post->ID); ?> 
<ul>
<li>投稿いただいたコメントは、管理者のチェック後掲載しておりますので、即時には反映されません。</li>
</ul>
</form>
<?php endif; ?>
    
<?php endif; ?>
</div>

<?php endif; ?>

<!-- /comment.php -->