<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php if ( is_front_page()): ?>
<title><?php bloginfo('name'); ?></title>
<?php else: ?>
<title><?php wp_title(''); ?></title>
<?php endif; ?>
<?php if (is_single() || is_page() ) { // 単独記事ページの場合 ?>
<?php if ($post->post_excerpt){ ?>
<meta name="description" content="<? echo $post->post_excerpt; ?>" />
<?php } else {
$summary = strip_tags($post->post_content);
$summary = preg_replace("/\[[a-z,\/]*\]|\n|\r/", "", $summary);
$summary = mb_substr($summary, 0, 150). "…"; ?>
<meta name="description" content="<?php echo $summary; ?>" />
<?php } ?>
<?php } else { // 単独記事ページ以外の場合 ?>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<?php } ?>
<meta name="keywords" content="<?php if ( is_home() ) { ?><?php } elseif ( is_category() ) { ?><?php single_cat_title(); ?><?php } elseif ( is_tag() ) { ?><?php single_tag_title();?><?php } elseif ( is_search() ) { ?><?php echo the_search_query(); ?><?php } elseif ( is_page() ) { ?><?php wp_title(''); ?><?php } elseif ( is_single() ) { ?><?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?><?php wp_title(''); ?>,<?php $cat = get_the_category(); $cat = $cat[0]; { echo $cat->cat_name; } ?><?php endwhile; ?><?php else : ?><?php endif; ?><?php } ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen,print" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<style type="text/css" media="screen">
#header, h2.posttitle, h2.posttitle span, h3.posttitle span, h2.posttitleN, h3.posttitle, #sideR h3, #sideR h3 span, #side h3, #side h3 span, #footer .widget h3 span, #commentF h3 span, #commentF2col h3 span, .topnew h3, .more-link {border-color: #000;}
#headerImg, .sidebanner01 li {background-color: #000;}
a:link, a:visited, a:active, #globalIn .menu li a, .more-link, #globalIn .menu li li a, #globalIn .menu li li a:visited {color: #0033CC;}
a:hover, #globalIn .menu li a:hover, #globalIn .menu li li a:hover {color: #FF6600;}
.contents h3 {border-left-color: #000;}
.contents h4 {border-bottom-color: #000;}
.contents h5 {border-bottom-color: #000;}
</style>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script src="<?php bloginfo('template_directory'); ?>/js/scrolltop.js"></script>
<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
<![endif]-->
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<header>
	<hgroup id="header">
		<div id="headerIn">

		<!-- ヘッダー部タイトル -->
		<div class="titleTop">
			<p><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img alt="<?php bloginfo( 'name' ); ?>" src="<?php bloginfo('template_directory'); ?>/img/logo.png" /></a></p>
		<?php if ( is_front_page()): ?>
			<h1><?php bloginfo('name'); ?></h1>
			<?php else: ?>
			<h1><?php wp_title(''); ?></h1>
		<?php endif; ?>
		</div><!-- /.titleTop -->

		<!-- ヘッダー部説明 -->
		<div class="description">
		<?php bloginfo('description'); ?>
		</div><!-- /.description -->

		</div><!-- /#headerIn -->	
	</hgroup><!-- /#header -->

	<!-- グローバルメニュー -->
	<nav id="global">
		<?php $walker = new My_Walker;wp_nav_menu(array('theme_location' => 'global', 'walker' => $walker ) ); ?>
	</nav><!-- /#global -->

	<!-- カスタムヘッダー -->
	<?php if(is_home()):?>
		<div id="headerImg">
		<div id="headerImgIn">
		<img src="<?php header_image(); ?>" alt="" />
		</div><!-- /#headerImgIn -->
		</div><!-- /#headerImg -->
	<?php endif;?>
</header>


<div id="wrapper">

	<!-- パンくず -->
	<nav id="breadcrumbs">
		<?php if(function_exists('bcn_display')){echo '';bcn_display();echo '';}?>
	</nav><!-- /#breadcrumbs -->

<!-- /header.php -->